summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'net-wireless/gnuradio/gnuradio-3.7.9999.ebuild')
-rw-r--r--net-wireless/gnuradio/gnuradio-3.7.9999.ebuild72
1 files changed, 38 insertions, 34 deletions
diff --git a/net-wireless/gnuradio/gnuradio-3.7.9999.ebuild b/net-wireless/gnuradio/gnuradio-3.7.9999.ebuild
index 8c07aa105ae..f8ecf5a7787 100644
--- a/net-wireless/gnuradio/gnuradio-3.7.9999.ebuild
+++ b/net-wireless/gnuradio/gnuradio-3.7.9999.ebuild
@@ -47,30 +47,11 @@ REQUIRED_USE="${PYTHON_REQUIRED_USE}
# boost-1.52.0 is blacklisted, bug #461578, upstream #513, boost #7669
RDEPEND="${PYTHON_DEPS}
>=dev-lang/orc-0.4.12
- dev-libs/boost:0=[${PYTHON_USEDEP}]
- !<=dev-libs/boost-1.52.0-r6:0/1.52
- dev-python/mako[${PYTHON_USEDEP}]
- dev-python/six[${PYTHON_USEDEP}]
sci-libs/fftw:3.0=
alsa? (
media-libs/alsa-lib:=
)
fcd? ( virtual/libusb:1 )
- filter? (
- || (
- sci-libs/scipy-python2[${PYTHON_USEDEP}]
- sci-libs/scipy[${PYTHON_USEDEP}]
- )
- )
- grc? (
- dev-python/cheetah[${PYTHON_USEDEP}]
- dev-python/lxml[${PYTHON_USEDEP}]
- >=dev-python/pygtk-2.10:2[${PYTHON_USEDEP}]
- || (
- dev-python/numpy-python2[${PYTHON_USEDEP}]
- dev-python/numpy[${PYTHON_USEDEP}]
- )
- )
jack? (
media-sound/jack-audio-connection-kit
)
@@ -79,26 +60,47 @@ RDEPEND="${PYTHON_DEPS}
>=media-libs/portaudio-19_pre
)
sdl? ( >=media-libs/libsdl-1.2.0 )
- uhd? ( >=net-wireless/uhd-3.9.6:=[${PYTHON_USEDEP}] )
- utils? (
- || (
- dev-python/matplotlib-python2[${PYTHON_USEDEP}]
- dev-python/matplotlib[${PYTHON_USEDEP}]
- )
- )
+ uhd? ( >=net-wireless/uhd-3.9.6:=[${PYTHON_SINGLE_USEDEP}] )
vocoder? ( media-sound/gsm
>=media-libs/codec2-0.8.1 )
wavelet? (
>=sci-libs/gsl-1.10
)
- wxwidgets? (
- dev-python/wxpython:3.0[${PYTHON_USEDEP}]
- || (
- dev-python/numpy-python2[${PYTHON_USEDEP}]
- dev-python/numpy[${PYTHON_USEDEP}]
- )
- )
zeromq? ( >=net-libs/zeromq-2.1.11 )
+ $(python_gen_cond_dep '
+ dev-libs/boost:0=[${PYTHON_MULTI_USEDEP}]
+ !<=dev-libs/boost-1.52.0-r6:0/1.52
+ dev-python/mako[${PYTHON_MULTI_USEDEP}]
+ dev-python/six[${PYTHON_MULTI_USEDEP}]
+ filter? (
+ || (
+ sci-libs/scipy-python2[${PYTHON_MULTI_USEDEP}]
+ sci-libs/scipy[${PYTHON_MULTI_USEDEP}]
+ )
+ )
+ grc? (
+ dev-python/cheetah[${PYTHON_MULTI_USEDEP}]
+ dev-python/lxml[${PYTHON_MULTI_USEDEP}]
+ >=dev-python/pygtk-2.10:2[${PYTHON_MULTI_USEDEP}]
+ || (
+ dev-python/numpy-python2[${PYTHON_MULTI_USEDEP}]
+ dev-python/numpy[${PYTHON_MULTI_USEDEP}]
+ )
+ )
+ utils? (
+ || (
+ dev-python/matplotlib-python2[${PYTHON_MULTI_USEDEP}]
+ dev-python/matplotlib[${PYTHON_MULTI_USEDEP}]
+ )
+ )
+ wxwidgets? (
+ dev-python/wxpython:3.0[${PYTHON_MULTI_USEDEP}]
+ || (
+ dev-python/numpy-python2[${PYTHON_MULTI_USEDEP}]
+ dev-python/numpy[${PYTHON_MULTI_USEDEP}]
+ )
+ )
+ ')
"
DEPEND="${RDEPEND}
@@ -107,7 +109,9 @@ DEPEND="${RDEPEND}
virtual/pkgconfig
doc? (
>=app-doc/doxygen-1.5.7.1
- dev-python/sphinx[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/sphinx[${PYTHON_MULTI_USEDEP}]
+ ')
)
grc? ( x11-misc/xdg-utils )
oss? ( virtual/os-headers )